Skip to main content
PUT
Update org webhook

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

webhook_id
string<uuid>
required

Webhook ID Unique identifier

Body

application/json

Org webhook update parameters

Org webhook update parameters for communication

authentication_method
string | null

Webhook authentication method

bank_account_id
string<uuid> | null

Bank Account ID

entity_id
string<uuid> | null

Entity ID

event_categories_allowed
object[] | null

Event categories

notification_secret
string | null

Notification Secret

notification_url
string | null

Notification URL

oauth_client_id
string | null

OAuth Client ID

oauth_client_secret
string | null

OAuth Client Secret

oauth_scope
string | null

OAuth scope

oauth_url
string | null

OAuth URL

Response

Updated webhook

A org webhook for communication

data
any